import { CheckboxProps } from 'antd/lib/checkbox';
import { FC, ReactNode } from 'react';

declare type CheckboxTheme = 'default' | 'error' | 'warning';
interface ICheckboxProps extends Omit<CheckboxProps, 'onChange'> {
    text: string | ReactNode;
    theme?: CheckboxTheme;
    checked?: boolean;
    iconAddress?: string;
    disabled?: boolean;
    value?: string;
    containerClass?: string;
    width?: string;
    onChange?: (checked: boolean) => void;
}
declare const Checkbox: FC<ICheckboxProps>;

export { Checkbox as default };
